#!/usr/bin/env bash

# This serial script links the WFN files from the MF to the BGW folder.

# First, link all CD files
echo "Linking pseudopotential and charge densities"
for directory in 4*-*/; do
  echo " Working on directory $directory"
  cd $directory
  mkdir LiCl.save
  cd LiCl.save/
  cp ../../1-scf/LiCl.save/data-file.xml .
  cp ../../1-scf/LiCl.save/charge-density.dat .
  cd ../
  ln -sf ../1-scf/Cl.pz-hgh.UPF .
  ln -sf ../1-scf/Li.pz-hgh.UPF .
  cd ../
done
echo

echo "Linking WFNs to BGW directory"
cd ../2-bgw/

echo " Working on directory 3-kernel"
cd 3-kernel/
ln -sf ../../1-mf/3-sigma/WFN WFN_co
cd ../

echo " Working on directory 4-absorption"
cd 4-absorption/
ln -sf ../../1-mf/3-sigma/WFN WFN_co
ln -sf ../../1-mf/4.1-absorption/WFN WFN_fi
ln -sf ../../1-mf/4.2-absorption_q/WFN WFNq_fi
cd ../

echo
echo "Done!"
